# Uses of Class
org.apache.velocity.util.introspection.Info

Packages that use Info
Package
Description
org.apache.velocity.app.event
org.apache.velocity.app.event.implement
org.apache.velocity.exception
org.apache.velocity.runtime.directive
org.apache.velocity.runtime.parser
org.apache.velocity.runtime.parser.node
org.apache.velocity.util
org.apache.velocity.util.introspection

## Uses of Info in org.apache.velocity.app.event

Methods in org.apache.velocity.app.event with parameters of type Info
Modifier and Type
Method
Description
`Object`
EventCartridge.`invalidGetMethod(Context context, String reference, Object object, String property, Info info)`
Call invalid reference handlers for an invalid getter
`static Object`
EventHandlerUtil.`invalidGetMethod(RuntimeServices rsvc, InternalContextAdapter context, String reference, Object object, String property, Info info)`
Called when an invalid get method is encountered.
`Object`
InvalidReferenceEventHandler.`invalidGetMethod(Context context, String reference, Object object, String property, Info info)`
Called when object is null or there is no getter for the given property.
`Object`
EventCartridge.`invalidMethod(Context context, String reference, Object object, String method, Info info)`
Call invalid reference handlers for an invalid method call
`static Object`
EventHandlerUtil.`invalidMethod(RuntimeServices rsvc, InternalContextAdapter context, String reference, Object object, String method, Info info)`
Called when an invalid method is encountered.
`Object`
InvalidReferenceEventHandler.`invalidMethod(Context context, String reference, Object object, String method, Info info)`
Called when object is null or the given method does not exist.
`boolean`
EventCartridge.`invalidSetMethod(Context context, String leftreference, String rightreference, Info info)`
Call invalid reference handlers for an invalid setter
`static void`
EventHandlerUtil.`invalidSetMethod(RuntimeServices rsvc, InternalContextAdapter context, String leftreference, String rightreference, Info info)`
Called when an invalid set method is encountered.
`boolean`
InvalidReferenceEventHandler.`invalidSetMethod(Context context, String leftreference, String rightreference, Info info)`
Called when object is null or there is no setter for the given property.
`Object`
EventCartridge.`methodException(Context context, Class<?> claz, String method, Exception e, Info info)`
Call method exception event handler
`static Object`
EventHandlerUtil.`methodException(RuntimeServices rsvc, InternalContextAdapter context, Class<?> claz, String method, Exception e, Info info)`
Called when a method exception is generated during Velocity merge.
`Object`
MethodExceptionEventHandler.`methodException(Context context, Class<?> claz, String method, Exception e, Info info)`
Called when a method throws an exception.

## Uses of Info in org.apache.velocity.app.event.implement

Subclasses of Info in org.apache.velocity.app.event.implement
Modifier and Type
Class
Description
`class`
`InvalidReferenceInfo`
Convenience class to use when reporting out invalid syntax with line, column, and template name.
Methods in org.apache.velocity.app.event.implement with parameters of type Info
Modifier and Type
Method
Description
`Object`
ReportInvalidReferences.`invalidGetMethod(Context context, String reference, Object object, String property, Info info)`
Collect the error and/or throw an exception, depending on configuration.
`Object`
ReportInvalidReferences.`invalidMethod(Context context, String reference, Object object, String method, Info info)`
Collect the error and/or throw an exception, depending on configuration.
`boolean`
ReportInvalidReferences.`invalidSetMethod(Context context, String leftreference, String rightreference, Info info)`
Collect the error and/or throw an exception, depending on configuration.
`Object`
PrintExceptions.`methodException(Context context, Class<?> claz, String method, Exception e, Info info)`
Render the method exception, and optionally the exception message and stack trace.
Constructors in org.apache.velocity.app.event.implement with parameters of type Info
Modifier
Constructor
Description
``
`InvalidReferenceInfo(String invalidReference, Info info)`

## Uses of Info in org.apache.velocity.exception

Constructors in org.apache.velocity.exception with parameters of type Info
Modifier
Constructor
Description
``
`ParseErrorException(String exceptionMessage, Info info)`
Create a ParseErrorRuntimeException with the given message and info
``
`ParseErrorException(String exceptionMessage, Info info, String invalidSyntax)`
Create a ParseErrorRuntimeException with the given message and info
``
`ParseErrorException(String exceptionMessage, Info info, String[] stacktrace)`
Create a ParseErrorRuntimeException with the given message and info

## Uses of Info in org.apache.velocity.runtime.directive

Fields in org.apache.velocity.runtime.directive declared as Info
Modifier and Type
Field
Description
`protected Info`
Foreach.`uberInfo`
immutable, so create in init

## Uses of Info in org.apache.velocity.runtime.parser

Methods in org.apache.velocity.runtime.parser with parameters of type Info
Modifier and Type
Method
Description
`void`
LogContext.`pushLogContext(SimpleNode src, Info info)`

## Uses of Info in org.apache.velocity.runtime.parser.node

Fields in org.apache.velocity.runtime.parser.node declared as Info
Modifier and Type
Field
Description
`protected Info`
ASTIdentifier.`uberInfo`
This is really immutable after the init, so keep one for this node
`protected Info`
ASTMethod.`uberInfo`
`protected Info`
ASTReference.`uberInfo`
`protected Info`
ASTSetDirective.`uberInfo`
This is really immutable after the init, so keep one for this node

## Uses of Info in org.apache.velocity.util

Methods in org.apache.velocity.util with parameters of type Info
Modifier and Type
Method
Description
`static String`
StringUtils.`formatFileString(Info info)`
Simply creates a string that formats the template filename with line number and column.

## Uses of Info in org.apache.velocity.util.introspection

Methods in org.apache.velocity.util.introspection with parameters of type Info
Modifier and Type
Method
Description
`Iterator`
AbstractChainableUberspector.`getIterator(Object obj, Info i)`
To support iterative objects used in a `#foreach()` loop.
`Iterator`
LinkingUberspector.`getIterator(Object obj, Info i)`
To support iterative objects used in a `#foreach()` loop.
`Iterator`
SecureUberspector.`getIterator(Object obj, Info i)`
Get an iterator from the given object.
`Iterator`
Uberspect.`getIterator(Object obj, Info info)`
To support iteratives - #foreach()
`Iterator`
UberspectImpl.`getIterator(Object obj, Info i)`
To support iterative objects used in a `#foreach()` loop.
`Iterator`
UberspectPublicFields.`getIterator(Object obj, Info info)`
`VelMethod`
AbstractChainableUberspector.`getMethod(Object obj, String methodName, Object[] args, Info i)`
Method
`VelMethod`
DeprecatedCheckUberspector.`getMethod(Object obj, String methodName, Object[] args, Info i)`
`VelMethod`
LinkingUberspector.`getMethod(Object obj, String methodName, Object[] args, Info i)`
Method
`VelMethod`
Uberspect.`getMethod(Object obj, String method, Object[] args, Info info)`
Returns a general method, corresponding to $foo.bar( $woogie )
`VelMethod`
UberspectImpl.`getMethod(Object obj, String methodName, Object[] args, Info i)`
Method
`VelMethod`
UberspectPublicFields.`getMethod(Object obj, String method, Object[] args, Info info)`
`VelPropertyGet`
AbstractChainableUberspector.`getPropertyGet(Object obj, String identifier, Info i)`
Property getter
`VelPropertyGet`
DeprecatedCheckUberspector.`getPropertyGet(Object obj, String identifier, Info i)`
`VelPropertyGet`
LinkingUberspector.`getPropertyGet(Object obj, String identifier, Info i)`
Property getter
`VelPropertyGet`
Uberspect.`getPropertyGet(Object obj, String identifier, Info info)`
Property getter - returns VelPropertyGet appropos for #set($foo = $bar.woogie)
`VelPropertyGet`
UberspectImpl.`getPropertyGet(Object obj, String identifier, Info i)`
Property getter
`VelPropertyGet`
UberspectPublicFields.`getPropertyGet(Object obj, String identifier, Info i)`
Property getter
`VelPropertySet`
AbstractChainableUberspector.`getPropertySet(Object obj, String identifier, Object arg, Info i)`
Property setter
`VelPropertySet`
DeprecatedCheckUberspector.`getPropertySet(Object obj, String identifier, Object arg, Info i)`
`VelPropertySet`
LinkingUberspector.`getPropertySet(Object obj, String identifier, Object arg, Info i)`
Property setter
`VelPropertySet`
Uberspect.`getPropertySet(Object obj, String identifier, Object arg, Info info)`
Property setter - returns VelPropertySet appropos for #set($foo.bar = "geir")
`VelPropertySet`
UberspectImpl.`getPropertySet(Object obj, String identifier, Object arg, Info i)`
Property setter
`VelPropertySet`
UberspectPublicFields.`getPropertySet(Object obj, String identifier, Object arg, Info i)`
Property setter